library(psych)
library(dplyr)

# Load the data
local_dirs <- c("C:/Users/Daniel/OneDrive - University of Reading",
                "/Users/Brendan/University of Reading/neuroade - Documents/Projects",
                "/Users/go912197/University of Reading/neuroade - Documents/Projects")

project_dir <- "project_SRonline/Analysis/waltman_et_al_2022/RL_retest_OSF_v3"

full_path <- file.path(local_dirs[3], project_dir)
setwd(full_path)
xdata <- read.csv("behaviour_summary.csv")
data_summary <- describe(xdata)
data_summary <- print(data_summary, signif = 4)
data_summary$vars <- row.names(data_summary)
write.csv(data_summary, "behaviour_summary_descriptive_stats.csv", row.names = F)

mdata <- read.csv("model_fit_parameters_lld2be_joint_modelling.csv")
mdata_names <- names(mdata)
mdata <- inner_join(mdata, xdata, by = "id")
mdata <- mdata[,mdata_names]
mdata_summary <- describe(mdata)
mdata_summary <- print(mdata_summary, signif = 4)
mdata_summary$vars <- row.names(mdata_summary)
write.csv(mdata_summary, "model_summary_descriptive_stats.csv", row.names = F)
